<?php

namespace App\Classes\Modules\Transactions\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class WaiveTransactionObject implements DataTransferObject
{

    /** @var int */
    private $id;

    /** @var string */
    private $billNo;

    /** @var int */
    private $type;

    /** @var int */
    private $status;

    public function __construct(int $id, string $billNo, int $type, int $status)
    {
        $this->id = $id;
        $this->billNo = $billNo;
        $this->type = $type;
        $this->status = $status;
    }

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getBillNo(): string
    {
        return $this->billNo;
    }

    /**
     * @return int
     */
    public function getType(): int
    {
        return $this->type;
    }

    /**
     * @return int
     */
    public function getStatus(): int
    {
        return $this->status;
    }
}
